# Delta Stock In Hand

## Get Delta Stock In Hand :- LOGIC API PULL - STOCK <a href="#heading" id="heading"></a>

The Delta Stock is used to Auto Retrive Inventory againts Request Date If any Changed from LOGIC

### **Authorization Detail**

| Name          | Detail                                        |
| ------------- | --------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/GetStockInHand> |
| Request Type  | POST                                          |
| Authorization | Basic Auth                                    |
| Username      | Demo                                          |
| Password      | 1                                             |

### **Request**

```
 
{
    "StockType": "DELTA",
    "Branch_Codes": 2,
    "LogicUserCode": "",
    "AddlItemCode": "",
    "Godown_Name": "",
    "RequestDate": "2022-10-03 17:16"
}

```

### **Response**

```

{
    "GetData":  [
        {
            "Branch_Code": 2,
            "Branch_Name": "WAREHOUSE",
            "Godown_Name": "",
            "LogicUserCode": "1",
            "AddlItemCode": "8903247430727",
            "Item_Name": "BZLTP7203 GOL",
            "Shade_Name": "GOLD",
            "Pack_Name": "4 (37)",
            "Lot_Number": "",
            "Lot_Code": 0,
            "Packing": "PAIR",
            "Stock_Qty": 0.0,
            "Lot_Sale_Rate": 0.0,
            "Lot_Basic_Rate": 0.0,
            "Lot_MRP": 0.0,
            "Lot_SPRate1": 0.0,
            "Item_Sale_Rate": 0.0,
            "Item_MRP": 2999.0,
            "Carton_Stock": 0.0,
            "Godown_Code": 0,
            "Item_Cf_1": 0,
            "Item_Cf_2": 0,
            "Item_Cf_3": 0,
            "Lot_Pur_Date": null,
            "Lot_Expiry_Date": null 
        },
        {
            "Branch_Code": 2,
            "Branch_Name": "WAREHOUSE",
            "Godown_Name": "",
            "LogicUserCode": "10",
            "AddlItemCode": "8903247430802",
            "Item_Name": "BZLTP7203 NAV",
            "Shade_Name": "NAVY",
            "Pack_Name": "6 (39)",
            "Lot_Number": "",
            "Lot_Code": 0,
            "Packing": "PAIR",
            "Stock_Qty": 0.0,
            "Lot_Sale_Rate": 0.0,
            "Lot_Basic_Rate": 0.0,
            "Lot_MRP": 0.0,
            "Lot_SPRate1": 0.0,
            "Item_Sale_Rate": 0.0,
            "Item_MRP": 2999.0,
            "Carton_Stock": 0.0,
            "Godown_Code": 0,
            "Item_Cf_1": 0,
            "Item_Cf_2": 0,
            "Item_Cf_3": 0,
            "Lot_Pur_Date": null,
            "Lot_Expiry_Date": null 
        },
        {
            "Branch_Code": 2,
            "Branch_Name": "WAREHOUSE",
            "Godown_Name": "",
            "LogicUserCode": "11",
            "AddlItemCode": "8903247430819",
            "Item_Name": "BZLTP7203 NAV",
            "Shade_Name": "NAVY",
            "Pack_Name": "7 (40)",
            "Lot_Number": "",
            "Lot_Code": 0,
            "Packing": "PAIR",
            "Stock_Qty": 0.0,
            "Lot_Sale_Rate": 0.0,
            "Lot_Basic_Rate": 0.0,
            "Lot_MRP": 0.0,
            "Lot_SPRate1": 0.0,
            "Item_Sale_Rate": 0.0,
            "Item_MRP": 2999.0,
            "Carton_Stock": 0.0,
            "Godown_Code": 0,
            "Item_Cf_1": 0,
            "Item_Cf_2": 0,
            "Item_Cf_3": 0,
            "Lot_Pur_Date": null,
            "Lot_Expiry_Date": null 
        }
],
    "Status": true,
    "Message": "",
    "LastGlobalModifyCode": 0
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/sale/pull/delta-stock-in-hand.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
